libetonyek::IWORKTextRecorder Class Reference documentation

Classes | Public Member Functions | Private Attributes | List of all members
libetonyek::IWORKTextRecorder Class Reference

`#include <IWORKTextRecorder.h>`

## Classes
struct | Impl

## Public Member Functions
| IWORKTextRecorder ()
void | replay (IWORKText &text) const
void | pushBaseLayoutStyle (const IWORKStylePtr_t &style)
void | pushBaseParagraphStyle (const IWORKStylePtr_t &style)
void | setLayoutStyle (const IWORKStylePtr_t &style)
void | flushLayout ()
void | setListStyle (const IWORKStylePtr_t &style)
void | setListLevel (const unsigned level)
void | flushList ()
void | setParagraphStyle (const IWORKStylePtr_t &style)
void | flushParagraph ()
void | setSpanStyle (const IWORKStylePtr_t &style)
void | setLanguage (const IWORKStylePtr_t &style)
void | flushSpan ()
void | openLink (const std::string &url)
void | closeLink ()
void | insertText (const std::string &text)
void | insertTab ()
void | insertSpace ()
void | insertLineBreak ()
void | insertPageBreak ()

## Private Attributes
std::shared_ptr< Impl > | m_impl

## Constructor & Destructor Documentation

## ◆ IWORKTextRecorder()

libetonyek::IWORKTextRecorder::IWORKTextRecorder | ( |  | ) |

## Member Function Documentation

## ◆ closeLink()

void libetonyek::IWORKTextRecorder::closeLink | ( |  | ) |

## ◆ flushLayout()

void libetonyek::IWORKTextRecorder::flushLayout | ( |  | ) |

## ◆ flushList()

void libetonyek::IWORKTextRecorder::flushList | ( |  | ) |

## ◆ flushParagraph()

void libetonyek::IWORKTextRecorder::flushParagraph | ( |  | ) |

## ◆ flushSpan()

void libetonyek::IWORKTextRecorder::flushSpan | ( |  | ) |

## ◆ insertLineBreak()

void libetonyek::IWORKTextRecorder::insertLineBreak | ( |  | ) |

## ◆ insertPageBreak()

void libetonyek::IWORKTextRecorder::insertPageBreak | ( |  | ) |

## ◆ insertSpace()

void libetonyek::IWORKTextRecorder::insertSpace | ( |  | ) |

## ◆ insertTab()

void libetonyek::IWORKTextRecorder::insertTab | ( |  | ) |

## ◆ insertText()

void libetonyek::IWORKTextRecorder::insertText | ( | const std::string & | text | ) |

## ◆ openLink()

void libetonyek::IWORKTextRecorder::openLink | ( | const std::string & | url | ) |

## ◆ pushBaseLayoutStyle()

void libetonyek::IWORKTextRecorder::pushBaseLayoutStyle | ( | const IWORKStylePtr_t & | style | ) |

## ◆ pushBaseParagraphStyle()

void libetonyek::IWORKTextRecorder::pushBaseParagraphStyle | ( | const IWORKStylePtr_t & | style | ) |

## ◆ replay()

void libetonyek::IWORKTextRecorder::replay | ( | IWORKText & | text | ) | const

## ◆ setLanguage()

void libetonyek::IWORKTextRecorder::setLanguage | ( | const IWORKStylePtr_t & | style | ) |

## ◆ setLayoutStyle()

void libetonyek::IWORKTextRecorder::setLayoutStyle | ( | const IWORKStylePtr_t & | style | ) |

## ◆ setListLevel()

void libetonyek::IWORKTextRecorder::setListLevel | ( | const unsigned | level | ) |

## ◆ setListStyle()

void libetonyek::IWORKTextRecorder::setListStyle | ( | const IWORKStylePtr_t & | style | ) |

## ◆ setParagraphStyle()

void libetonyek::IWORKTextRecorder::setParagraphStyle | ( | const IWORKStylePtr_t & | style | ) |

## ◆ setSpanStyle()

void libetonyek::IWORKTextRecorder::setSpanStyle | ( | const IWORKStylePtr_t & | style | ) |

## Member Data Documentation

## ◆ m_impl

std::shared_ptr<Impl> libetonyek::IWORKTextRecorder::m_impl
| private

Referenced by closeLink(), flushLayout(), flushList(), flushParagraph(), flushSpan(), insertLineBreak(), insertPageBreak(), insertSpace(), insertTab(), insertText(), openLink(), pushBaseLayoutStyle(), pushBaseParagraphStyle(), replay(), setLanguage(), setLayoutStyle(), setListLevel(), setListStyle(), setParagraphStyle(), and setSpanStyle().

The documentation for this class was generated from the following files:

- IWORKTextRecorder.h
- IWORKTextRecorder.cpp